#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './timerdlg.ui'
**
** Created: 2012-10-09T21:40:00
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "timerdlg.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qgroupbox.h>
#include <qslider.h>
#include <qlabel.h>
#include <kactivelabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a timerdlg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
timerdlg::timerdlg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "timerdlg" );
    timerdlgLayout = new QGridLayout( this, 1, 1, 11, 6, "timerdlgLayout"); 

    groupBox5 = new QGroupBox( this, "groupBox5" );
    groupBox5->setColumnLayout(0, Qt::Vertical );
    groupBox5->layout()->setSpacing( 6 );
    groupBox5->layout()->setMargin( 11 );
    groupBox5Layout = new QVBoxLayout( groupBox5->layout() );
    groupBox5Layout->setAlignment( Qt::AlignTop );

    tqlayout5 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout5"); 

    kcfg_HintTimer = new QSlider( groupBox5, "kcfg_HintTimer" );
    kcfg_HintTimer->setEnabled( TRUE );
    kcfg_HintTimer->setMaxValue( 10 );
    kcfg_HintTimer->setPageStep( 1 );
    kcfg_HintTimer->setValue( 4 );
    kcfg_HintTimer->setOrientation( QSlider::Horizontal );
    kcfg_HintTimer->setTickmarks( QSlider::Below );
    kcfg_HintTimer->setTickInterval( 1 );

    tqlayout5->addWidget( kcfg_HintTimer, 1, 0 );
    spacer24_2_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout5->addItem( spacer24_2_2, 2, 0 );
    spacer26_2_2_2_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout5->addItem( spacer26_2_2_2_2, 3, 1 );

    timeHintLabel = new QLabel( groupBox5, "timeHintLabel" );

    tqlayout5->addWidget( timeHintLabel, 2, 1 );

    kActiveLabel1 = new KActiveLabel( groupBox5, "kActiveLabel1" );

    tqlayout5->addWidget( kActiveLabel1, 0, 0 );
    groupBox5Layout->addLayout( tqlayout5 );

    tqlayout6 = new QGridLayout( 0, 1, 1, 0, 6, "tqlayout6"); 

    kActiveLabel1_2 = new KActiveLabel( groupBox5, "kActiveLabel1_2" );

    tqlayout6->addWidget( kActiveLabel1_2, 0, 0 );

    timeMissedLabel = new QLabel( groupBox5, "timeMissedLabel" );

    tqlayout6->addWidget( timeMissedLabel, 2, 1 );

    kcfg_MissedTimer = new QSlider( groupBox5, "kcfg_MissedTimer" );
    kcfg_MissedTimer->setEnabled( TRUE );
    kcfg_MissedTimer->setMaxValue( 10 );
    kcfg_MissedTimer->setPageStep( 1 );
    kcfg_MissedTimer->setValue( 1 );
    kcfg_MissedTimer->setOrientation( QSlider::Horizontal );
    kcfg_MissedTimer->setTickmarks( QSlider::Below );
    kcfg_MissedTimer->setTickInterval( 1 );

    tqlayout6->addWidget( kcfg_MissedTimer, 1, 0 );
    spacer26_2_2_2 = new QSpacerItem( 0, 0, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tqlayout6->addItem( spacer26_2_2_2, 3, 1 );
    spacer24_2_2_2 = new QSpacerItem( 0, 0, QSizePolicy::Expanding, QSizePolicy::Minimum );
    tqlayout6->addItem( spacer24_2_2_2, 2, 0 );
    groupBox5Layout->addLayout( tqlayout6 );

    timerdlgLayout->addWidget( groupBox5, 0, 0 );
    languageChange();
    resize( QSize(439, 270).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // buddies
    timeHintLabel->setBuddy( kcfg_HintTimer );
    timeMissedLabel->setBuddy( kcfg_MissedTimer );
}

/*
 *  Destroys the object and frees any allocated resources
 */
timerdlg::~timerdlg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void timerdlg::languageChange()
{
    groupBox5->setTitle( tr2i18n( "Timers" ) );
    QToolTip::add( kcfg_HintTimer, tr2i18n( "Time during which the Hint is displayed" ) );
    QWhatsThis::add( kcfg_HintTimer, tr2i18n( "You can set the time for displaying the Hint tooltip. Default is 3 seconds but younger children might need longer time to be able to read the Hint." ) );
    timeHintLabel->setText( QString::null );
    kActiveLabel1->setText( tr2i18n( "Set the time for displaying the hint:" ) );
    kActiveLabel1_2->setText( tr2i18n( "Set the time for displaying the Already Guessed Letter:" ) );
    timeMissedLabel->setText( QString::null );
    QToolTip::add( kcfg_MissedTimer, tr2i18n( "Time during which the Already Guessed tooltip is displayed" ) );
    QWhatsThis::add( kcfg_MissedTimer, tr2i18n( "You can set the time for displaying the Already Guessed tooltip after you try a letter that was already guessed. Default is 3 seconds but younger children might need longer time to be able to understand they are trying a letter that was already guessed." ) );
}

#include "timerdlg.moc"
